## org.eclipse.datatools.sqltools.sqleditor
Interface ISQLEditorActionConstants

All Superinterfaces:
  org.eclipse.ui.texteditor.ITextEditorActionConstants, org.eclipse.ui.IWorkbenchActionConstants

    public interface ISQLEditorActionConstants

extends org.eclipse.ui.texteditor.ITextEditorActionConstants

This interface defines the action constants used in SQL Editor.

Author:
  Li Huang

Field Summary
`static java.lang.String` `ATTACHE_PROFILE_ACTION_ID` Context menu id for attach connection profile action.
`static java.lang.String` `CONTENT_ASSIST_ACTION_ID` Context menu id for content assist action.
`static java.lang.String` `CREATE_DATABASE_ACTION_ID` Context menu id for create database action.
`static java.lang.String` `DEBUG_ACTION_ID` Context menu id for debug routine action.
`static java.lang.String` `DMLDIALOG_SELECTION_SQL_ACTION_ID` Context menu id for selected sql edit in DMLDIALOG action.
`static java.lang.String` `EXECUTE_CURRENT_SQL_ACTION_ID` Context menu id for execute current sql action.
`static java.lang.String` `EXECUTE_SELECTION_SQL_ACTION_ID` Context menu id for selected sql execution action.
`static java.lang.String` `EXECUTE_SQL_ACTION_ID` Context menu id for sql execution action.
`static java.lang.String` `EXECUTE_SQL_AS_ONE_STATEMENT_ACTION_ID` Context menu id for execute selected sql as one statement action.
`static java.lang.String` `EXPLAIN_SQL_ACTION_ID` Context menu id for SQL query plan retrieval action.
`static java.lang.String` `GOTO_MATCHING_TOKEN_ACTION_ID` Context menu id for goto matching token action.
`static java.lang.String` `GROUP_INSERT_QUERY_ID` Context menu manager id for query creation wizard actions.
`static java.lang.String` `GROUP_NEW_ROUTINE_ID` Context menu manager id for routine object creation actions.
`static java.lang.String` `GROUP_OPEN` Context menu group for open actions.
`static java.lang.String` `GROUP_SQLEDITOR_ADDITION` Context menu group for additional actions.
`static java.lang.String` `GROUP_SQLEDITOR_DB_SUBMENU` Context menu group for database specific actions.
`static java.lang.String` `GROUP_SQLEDITOR_EXECUTE` Context menu group for execute actions.
`static java.lang.String` `GROUP_SQLEDITOR_PASTE` Context menu group for statement insertion actions, such as S/I/U/D statement wizards.
`static java.lang.String` `GROUP_SQLEDITOR_PREFERENCE` Context menu group for SQL Editor preference action.
`static java.lang.String` `GROUP_SQLEDITOR_SAVE` Context menu group for save actions.
`static java.lang.String` `GROUP_SQLEDITOR_SOURCE` Context menu group for SQL source actions.
`static java.lang.String` `GROUP_SQLEDITOR_WIZARD` Context menu group for routine object creation wizard actions.
`static java.lang.String` `NEW_EVENT_ACTION_ID` Context menu id for event creation action.
`static java.lang.String` `NEW_FUNCTION_ACTION_ID` Context menu id for function creation action.
`static java.lang.String` `NEW_PROCEDURE_ACTION_ID` Context menu id for stored procedure creation action.
`static java.lang.String` `NEW_TRIGGER_ACTION_ID` Context menu id for trigger creation action.
`static java.lang.String` `OPEN_DECLARATION_ACTION_ID` Context menu id for open declaration action.
`static java.lang.String` `PASTE_DELETE_ACTION_ID` Context menu id for delete statement creation action.
`static java.lang.String` `PASTE_INSERT_ACTION_ID` Context menu id for insert statement creation action.
`static java.lang.String` `PASTE_SELECT_ACTION_ID` Context menu id for select statement creation action.
`static java.lang.String` `PASTE_UPDATE_ACTION_ID` Context menu id for update statement creation action.
`static java.lang.String` `REFRESH_FROM_DATABASE_ACTION_ID` Context menu id for refresh from database action.
`static java.lang.String` `RENAME_ACTION_ID` Context menu id for rename action.
`static java.lang.String` `RUN_ACTION_ID` Context menu id for run routine action.
`static java.lang.String` `SAVE_AS_ACTION_ID` Context menu id for the standard workbench save as menu.
`static java.lang.String` `SAVE_AS_TEMPLATE_ACTION_ID` Context menu id for save selected text as template action.
`static java.lang.String` `SAVE_TO_DATABASE_ACTION_ID` Context menu id for save to database action.
`static java.lang.String` `SHOW_INFORMATION_ACTION_ID` Context menu id for show information action.
`static java.lang.String` `TOGGLE_COMMENT` Context menu id for toggle comment action.

Fields inherited from interface org.eclipse.ui.texteditor.ITextEditorActionConstants

`BLOCK_SELECTION_MODE, CHANGE_ENCODING, CLEAR_MARK, CONTENT_ASSIST, CONTENT_ASSIST_CONTEXT_INFORMATION, CONTEXT_PREFERENCES, CONVERT_LINE_DELIMITERS_TO_MAC, CONVERT_LINE_DELIMITERS_TO_UNIX, CONVERT_LINE_DELIMITERS_TO_WINDOWS, COPY, COPY_LINE_DOWN, COPY_LINE_UP, CUT, CUT_LINE, CUT_LINE_TO_BEGINNING, CUT_LINE_TO_END, DELETE, DELETE_LINE, DELETE_LINE_TO_BEGINNING, DELETE_LINE_TO_END, FIND, FIND_INCREMENTAL, FIND_INCREMENTAL_REVERSE, FIND_NEXT, FIND_PREVIOUS, GOTO_LINE, GROUP_ASSIST, GROUP_COPY, GROUP_EDIT, GROUP_FIND, GROUP_GENERATE, GROUP_INFORMATION, GROUP_PRINT, GROUP_REST, GROUP_RESTORE, GROUP_RULERS, GROUP_SAVE, GROUP_SETTINGS, GROUP_UNDO, HIPPIE_COMPLETION, JOIN_LINES, LINENUMBERS_TOGGLE, LOWER_CASE, MOVE_LINE_DOWN, MOVE_LINE_UP, NEXT, PASTE, PREVIOUS, PRINT, PROPERTIES, QUICK_ASSIST, QUICKDIFF_REVERT, QUICKDIFF_REVERTBLOCK, QUICKDIFF_REVERTDELETION, QUICKDIFF_REVERTLINE, QUICKDIFF_REVERTSELECTION, QUICKDIFF_TOGGLE, RECENTER, REDO, REFRESH, REVERT, REVERT_TO_SAVED, REVISION_HIDE_INFO, REVISION_RENDERING_CYCLE, REVISION_SHOW_AUTHOR_TOGGLE, REVISION_SHOW_ID_TOGGLE, RULER_CLICK, RULER_DOUBLE_CLICK, RULER_MANAGE_BOOKMARKS, RULER_MANAGE_TASKS, RULER_PREFERENCES, SAVE, SELECT_ALL, SET_MARK, SHIFT_LEFT, SHIFT_RIGHT, SHIFT_RIGHT_TAB, SHOW_CHANGE_RULER_INFORMATION, SHOW_INFORMATION, SHOW_RULER_ANNOTATION_INFORMATION, SHOW_WHITESPACE_CHARACTERS, SMART_ENTER, SMART_ENTER_INVERSE, STATUS_CATEGORY_ELEMENT_STATE, STATUS_CATEGORY_FIND_FIELD, STATUS_CATEGORY_INPUT_MODE, STATUS_CATEGORY_INPUT_POSITION, SWAP_MARK, TOGGLE_INSERT_MODE, UNDO, UPPER_CASE`

Fields inherited from interface org.eclipse.ui.IWorkbenchActionConstants

`ABOUT, ADD_EXT, ADD_TASK, BACK, BOOKMARK, BUILD, BUILD_EXT, BUILD_GROUP, BUILD_PROJECT, CLOSE, CLOSE_ALL, CLOSE_EXT, CLOSE_PROJECT, CUT_EXT, EDIT_END, EDIT_START, EXPORT, FILE_END, FILE_START, FIND_EXT, FORWARD, GLOBAL_ACTIONS, GO_INTO, GO_TO, GO_TO_RESOURCE, GROUP_ADD, GROUP_APP, GROUP_EDITOR, GROUP_FILE, GROUP_HELP, GROUP_MANAGING, GROUP_REORGANIZE, GROUP_SHOW_IN, HELP_END, HELP_START, HISTORY_GROUP, IMPORT, IMPORT_EXT, LAUNCH_EXT, M_EDIT, M_FILE, M_HELP, M_LAUNCH, M_NAVIGATE, M_PROJECT, M_PROJECT_CONFIGURE, M_VIEW, M_WINDOW, M_WORKBENCH, MB_ADDITIONS, MENU_PREFIX, MOVE, MRU, NAV_END, NAV_START, NEW, NEW_EXT, NEW_GROUP, OPEN_EXT, OPEN_PROJECT, PIN_GROUP, PRINT_EXT, PROJ_END, PROJ_START, QUIT, REBUILD_ALL, REBUILD_PROJECT, RENAME, SAVE_ALL, SAVE_AS, SAVE_EXT, SAVE_GROUP, SEP, SHOW_EXT, SHOW_IN, SYNC_EDITOR, TOOLBAR_FILE, TOOLBAR_HELP, TOOLBAR_NAVIGATE, UNDO_EXT, UP, VIEW_EXT, WB_END, WB_START, WINDOW_EXT`

Field Detail

### GROUP_SQLEDITOR_EXECUTE

    static final java.lang.String GROUP_SQLEDITOR_EXECUTE

  Context menu group for execute actions. Value: `"group.sqleditor.execute"`

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_WIZARD

    static final java.lang.String GROUP_SQLEDITOR_WIZARD

  Context menu group for routine object creation wizard actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_SAVE

    static final java.lang.String GROUP_SQLEDITOR_SAVE

  Context menu group for save actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_PASTE

    static final java.lang.String GROUP_SQLEDITOR_PASTE

  Context menu group for statement insertion actions, such as S/I/U/D statement wizards.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_SOURCE

    static final java.lang.String GROUP_SQLEDITOR_SOURCE

  Context menu group for SQL source actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_ADDITION

    static final java.lang.String GROUP_SQLEDITOR_ADDITION

  Context menu group for additional actions.

  See Also:
    Constant Field Values

### GROUP_OPEN

    static final java.lang.String GROUP_OPEN

  Context menu group for open actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_DB_SUBMENU

    static final java.lang.String GROUP_SQLEDITOR_DB_SUBMENU

  Context menu group for database specific actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_PREFERENCE

    static final java.lang.String GROUP_SQLEDITOR_PREFERENCE

  Context menu group for SQL Editor preference action.

  See Also:
    Constant Field Values

### CONTENT_ASSIST_ACTION_ID

    static final java.lang.String CONTENT_ASSIST_ACTION_ID

  Context menu id for content assist action.

  See Also:
    Constant Field Values

### EXPLAIN_SQL_ACTION_ID

    static final java.lang.String EXPLAIN_SQL_ACTION_ID

  Context menu id for SQL query plan retrieval action.

  See Also:
    Constant Field Values

### EXECUTE_SQL_ACTION_ID

    static final java.lang.String EXECUTE_SQL_ACTION_ID

  Context menu id for sql execution action.

  See Also:
    Constant Field Values

### EXECUTE_SELECTION_SQL_ACTION_ID

    static final java.lang.String EXECUTE_SELECTION_SQL_ACTION_ID

  Context menu id for selected sql execution action.

  See Also:
    Constant Field Values

### EXECUTE_SQL_AS_ONE_STATEMENT_ACTION_ID

    static final java.lang.String EXECUTE_SQL_AS_ONE_STATEMENT_ACTION_ID

  Context menu id for execute selected sql as one statement action.

  See Also:
    Constant Field Values

### EXECUTE_CURRENT_SQL_ACTION_ID

    static final java.lang.String EXECUTE_CURRENT_SQL_ACTION_ID

  Context menu id for execute current sql action.

  See Also:
    Constant Field Values

### DMLDIALOG_SELECTION_SQL_ACTION_ID

    static final java.lang.String DMLDIALOG_SELECTION_SQL_ACTION_ID

  Context menu id for selected sql edit in DMLDIALOG action.

  See Also:
    Constant Field Values

### SHOW_INFORMATION_ACTION_ID

    static final java.lang.String SHOW_INFORMATION_ACTION_ID

  Context menu id for show information action.

  See Also:
    Constant Field Values

### GROUP_NEW_ROUTINE_ID

    static final java.lang.String GROUP_NEW_ROUTINE_ID

  Context menu manager id for routine object creation actions.

  See Also:
    Constant Field Values

### NEW_EVENT_ACTION_ID

    static final java.lang.String NEW_EVENT_ACTION_ID

  Context menu id for event creation action.

  See Also:
    Constant Field Values

### NEW_FUNCTION_ACTION_ID

    static final java.lang.String NEW_FUNCTION_ACTION_ID

  Context menu id for function creation action.

  See Also:
    Constant Field Values

### NEW_PROCEDURE_ACTION_ID

    static final java.lang.String NEW_PROCEDURE_ACTION_ID

  Context menu id for stored procedure creation action.

  See Also:
    Constant Field Values

### NEW_TRIGGER_ACTION_ID

    static final java.lang.String NEW_TRIGGER_ACTION_ID

  Context menu id for trigger creation action.

  See Also:
    Constant Field Values

### GROUP_INSERT_QUERY_ID

    static final java.lang.String GROUP_INSERT_QUERY_ID

  Context menu manager id for query creation wizard actions.

  See Also:
    Constant Field Values

### PASTE_SELECT_ACTION_ID

    static final java.lang.String PASTE_SELECT_ACTION_ID

  Context menu id for select statement creation action.

  See Also:
    Constant Field Values

### PASTE_UPDATE_ACTION_ID

    static final java.lang.String PASTE_UPDATE_ACTION_ID

  Context menu id for update statement creation action.

  See Also:
    Constant Field Values

### PASTE_INSERT_ACTION_ID

    static final java.lang.String PASTE_INSERT_ACTION_ID

  Context menu id for insert statement creation action.

  See Also:
    Constant Field Values

### PASTE_DELETE_ACTION_ID

    static final java.lang.String PASTE_DELETE_ACTION_ID

  Context menu id for delete statement creation action.

  See Also:
    Constant Field Values

### SAVE_TO_DATABASE_ACTION_ID

    static final java.lang.String SAVE_TO_DATABASE_ACTION_ID

  Context menu id for save to database action.

  See Also:
    Constant Field Values

### REFRESH_FROM_DATABASE_ACTION_ID

    static final java.lang.String REFRESH_FROM_DATABASE_ACTION_ID

  Context menu id for refresh from database action.

  See Also:
    Constant Field Values

### ATTACHE_PROFILE_ACTION_ID

    static final java.lang.String ATTACHE_PROFILE_ACTION_ID

  Context menu id for attach connection profile action.

  See Also:
    Constant Field Values

### TOGGLE_COMMENT

    static final java.lang.String TOGGLE_COMMENT

  Context menu id for toggle comment action.

  See Also:
    Constant Field Values

### SAVE_AS_ACTION_ID

    static final java.lang.String SAVE_AS_ACTION_ID

  Context menu id for the standard workbench save as menu.

  See Also:
    Constant Field Values

### SAVE_AS_TEMPLATE_ACTION_ID

    static final java.lang.String SAVE_AS_TEMPLATE_ACTION_ID

  Context menu id for save selected text as template action.

  See Also:
    Constant Field Values

### RUN_ACTION_ID

    static final java.lang.String RUN_ACTION_ID

  Context menu id for run routine action.

  See Also:
    Constant Field Values

### DEBUG_ACTION_ID

    static final java.lang.String DEBUG_ACTION_ID

  Context menu id for debug routine action.

  See Also:
    Constant Field Values

### OPEN_DECLARATION_ACTION_ID

    static final java.lang.String OPEN_DECLARATION_ACTION_ID

  Context menu id for open declaration action.

  See Also:
    Constant Field Values

### RENAME_ACTION_ID

    static final java.lang.String RENAME_ACTION_ID

  Context menu id for rename action.

  See Also:
    Constant Field Values

### CREATE_DATABASE_ACTION_ID

    static final java.lang.String CREATE_DATABASE_ACTION_ID

  Context menu id for create database action.

  See Also:
    Constant Field Values

### GOTO_MATCHING_TOKEN_ACTION_ID

    static final java.lang.String GOTO_MATCHING_TOKEN_ACTION_ID

  Context menu id for goto matching token action.

  See Also:
    Constant Field Values